import { CancelableEvent } from "@skeldjs/events";
import { BaseGameDataMessage } from "@skeldjs/protocol";
import { Hostable } from "../../Hostable";
import { RoomEvent } from "../RoomEvent";
/**
 * Emitted when the room completes a fixed update cycle. (Every 20ms)
 */
export declare class RoomFixedUpdateEvent<RoomType extends Hostable = Hostable> extends CancelableEvent implements RoomEvent {
    readonly room: RoomType;
    /**
     * The game data stream that the room will broadcast.
     */
    readonly stream: BaseGameDataMessage[];
    static eventName: "room.fixedupdate";
    eventName: "room.fixedupdate";
    constructor(room: RoomType, 
    /**
     * The game data stream that the room will broadcast.
     */
    stream: BaseGameDataMessage[]);
}
